Skala
Me

Get Current Company

Returns the company information associated with the authenticated user.

GET
/api/me

Returns the company information associated with the authenticated user.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

order[id]?string
Default"asc"
Value in"asc" | "desc"
order[name]?string
Default"asc"
Value in"asc" | "desc"
id?integer
id[]?array<>
name?string
email?string
phoneNumber?string
source?string
source[]?array<>

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/me"
[
  {
    "id": 0,
    "name": "string",
    "email": "user@example.com",
    "phoneNumber": "string",
    "country": "/entity/1",
    "currency": {
      "id": 0,
      "name": "string",
      "code": "string",
      "symbol": "string"
    },
    "defaultDeliveryTime": 0,
    "defaultProductionTime": 0,
    "saleOrderPrefix": "string",
    "purchaseOrderPrefix": "string",
    "workOrderPrefix": "string",
    "defaultSalesLocation": "/entity/1",
    "defaultPurchaseLocation": "/entity/1",
    "defaultManufacturingLocation": "/entity/1",
    "logo": "string",
    "hasDemoData": true,
    "isDemoDataDeleted": true,
    "defaultCategory": "/entity/1",
    "defaultUnit": "/entity/1",
    "defaultTax": "/entity/1",
    "commercialName": "string",
    "address": "string",
    "taxOffice": "string",
    "taxId": "string",
    "subscriptions": [
      {
        "id": 0,
        "subscription": {
          "id": 0,
          "name": "string"
        },
        "startDate": "2019-08-24T14:15:22Z",
        "endDate": "2019-08-24T14:15:22Z",
        "isDemo": true,
        "isActive": true,
        "hasUserLimit": true,
        "hasAdvancedManufacturing": true,
        "hasFullTraceability": true,
        "hasForecasting": true,
        "hasWarehouseManagement": true
      }
    ],
    "zipCode": "string",
    "city": "string",
    "state": "string",
    "askIngredientUsage": true,
    "askProductQty": true,
    "showWorkOrderDeadline": true,
    "showInvoiceDeadline": true,
    "hasAccountingIntegration": true,
    "isUseInternalBarcode": true,
    "isUseRegisteredBarcode": true,
    "isUseSupplierBarcode": true,
    "isBarcodeGenerateAutomatically": true,
    "isUseBarcodeForBatches": true,
    "employeeCount": "string",
    "accountingSoftware": "/entity/1",
    "usageReason": "string",
    "sector": "/entity/1",
    "inventoryTrackType": "string",
    "isShopifyStore": true,
    "isNotificationClose": true,
    "phoneCode": "string",
    "onBoardingCompleted": true,
    "defaultSalesOrderDeliveryTime": 0,
    "addons": [
      {
        "id": 0,
        "title": "string",
        "description": "string",
        "price": "string",
        "label": "string"
      }
    ],
    "authorizedAccessEnabled": true
  }
]